import { FunctionComponent } from "react";
import { ButtonVariants } from "../util/DataVariants";
/**
 *
 * @returns {Button Props}
 * @author Thushara Dinishka
 */
export interface ButtonProps {
    /**
     * The text content of the button.
     */
    value: string;
    /**
     * The type of the button.
     * Default type is `button`.
     */
    type?: "submit" | "reset" | "button";
    /**
     * The variant to use.
     * Default variant is `info`.
     */
    variant?: ButtonVariants;
    /**
     * If `true`, only the border will be visible with a color and the background will be transparent.
     */
    bordered?: boolean;
}
/**
 *
 * @returns {Button}
 * @author Thushara Dinishka
 */
export declare const Button: FunctionComponent<ButtonProps>;
