import { FunctionComponent } from "react";
import { ButtonVariants } from "../util/DataVariants";
/**
 *
 * @returns {SubmitButton Props}
 * @author Thushara Dinishka
 */
export interface SubmitButtonProps {
    /**
     * Whether the form is currently submitting.
     */
    isSubmitting: boolean;
    /**
     * The text content of the button.
     */
    value: string;
    /**
     * The variant to use.
     * Default variant is `info`.
     */
    variant?: ButtonVariants;
}
/**
 *
 * @returns {SubmitButton}
 * @author Thushara Dinishka
 */
export declare const SubmitButton: FunctionComponent<SubmitButtonProps>;
