import React, {FunctionComponent} from "react";


/**
 *
 * @returns {TextField Props}
 * @author Thushara Dinishka
 */
export interface TextFieldProps {
    type?: string;
    placeholder?: string;
    disabled?: boolean;
    className?: string;

    [key: string]: any;
}

/**
 *
 * @returns {TextField}
 * @author Thushara Dinishka
 */
export const TextField: FunctionComponent<TextFieldProps> = ({type, placeholder, disabled, className, ...props}) => {

    const classes = `textfield placeholder-gray-500 focus:bg-white focus:border-teal-500 ${className}`;

    return (
        <input
            type={type}
            placeholder={placeholder}
            disabled={disabled}
            className={classes}
            {...props} />
    );
}

TextField.defaultProps = {
    type: "text",
    disabled: false
}